Bug 114748 - three bugs
three bugs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 06:24 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 12:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-02 06:24:47 EST
Description of problem:

I just tried to compile package kdemultimedia-3.1.4-1 from Redhat
Fedora Core 1.

The compiler said

1.

resample.c:1288: warning: operation on `dest' may be undefined
resample.c:1289: warning: operation on `dest' may be undefined

The offending source code is

  *dest++ = *(dest - 1) / 2;
  *dest++ = *(dest - 1) / 2;

This code is undefined. Suggest

  *dest = *(dest - 1) / 2;
  ++dest;
  *dest = *(dest - 1) / 2;
  ++dest;

2.

wm_helpers.c:175: warning: comparisons like X<=Y<=Z do not have their
mathematical meaning

The offending source code is

        if( WM_MSG_LEVEL_NONE <= level <= WM_MSG_LEVEL_DEBUG )

Maybe 

        if ((WM_MSG_LEVEL_NONE <= level) 
			&& (level <= WM_MSG_LEVEL_DEBUG))

was what the programmer meant ?

3.

cdtext.c:402: warning: this function may return with or without a value

The offending source code is

int wm_get_cdtext(struct wm_drive *d)
{
  /* alloc cdtext_info */

  unsigned char *buffer;
  int buffer_length;
  int ret;
  int i;
  struct cdtext_pack_data_header *pack, *pack_previous;
  cdtext_string *p_componente;
  struct cdtext_info_block *lp_block;
  if(d->get_drive_status == NULL)
    return;

Suggest add expression to return statement.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2004-04-07 12:24:58 EDT
to 1:
this code is removed in current KDE 3.2.1

to 2:
>The offending source code is
>
>       if( WM_MSG_LEVEL_NONE <= level <= WM_MSG_LEVEL_DEBUG )
>
>Maybe 
>
>        if ((WM_MSG_LEVEL_NONE <= level) 
>			&& (level <= WM_MSG_LEVEL_DEBUG))

>was what the programmer meant ?

yes ;-) i think you have done correctly. I will fix it.

to 3:
this code is removed in current KDE 3.2.1

3.2.1-2.1 will include this fix. thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.